

var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');
        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');
        console.log('Received Event: ' + id);
    }
};
app.initialize();
///////////////////////////////
var isAppForeground = true;

function initAds() {
    if (admob) {
        var adPublisherIds = {
            ios: {
                banner: "ca-app-pub-9963701849868562/7150118339",
                interstitial: "ca-app-pub-9963701849868562/2719918730"
            },
            android: {
                banner: "ca-app-pub-9963701849868562/7150118339",
                interstitial: "ca-app-pub-9963701849868562/2719918730"
            }
        };
        var admobid = (/(android)/i.test(navigator.userAgent)) ? adPublisherIds.android : adPublisherIds.ios;
        admob.setOptions({
            publisherId: admobid.banner,
            interstitialAdId: admobid.interstitial,
        });
        registerAdEvents();
    } else {
        //alert('AdMobAds plugin not ready');
    }
}

function onAdLoaded(e) {
    if (isAppForeground) {
        if (e.adType === admob.AD_TYPE.INTERSTITIAL) {
            console.log("An interstitial has been loaded and autoshown. If you want to load the interstitial first and show it later, set 'autoShowInterstitial: false' in admob.setOptions() and call 'admob.showInterstitialAd();' here");
        } else if (e.adType === admob.AD_TYPE_BANNER) {
            console.log("New banner received");
        }
    }
}

function onPause() {
    if (isAppForeground) {
        admob.destroyBannerView();
        isAppForeground = false;
    }
}

function onResume() {
    if (!isAppForeground) {
        setTimeout(admob.createBannerView, 1);
        //setTimeout(admob.requestInterstitialAd, 1);
        isAppForeground = true;
    }
}
// optional, in case respond to events
function registerAdEvents() {
    document.addEventListener(admob.events.onAdLoaded, onAdLoaded);
    document.addEventListener(admob.events.onAdFailedToLoad, function(e) {});
    document.addEventListener(admob.events.onAdOpened, function(e) {});
    document.addEventListener(admob.events.onAdClosed, function(e) {});
    document.addEventListener(admob.events.onAdLeftApplication, function(e) {});
    document.addEventListener(admob.events.onInAppPurchaseRequested, function(e) {});
    document.addEventListener("pause", onPause, false);
    document.addEventListener("resume", onResume, false);
}

function onDeviceReady() {
    document.removeEventListener('deviceready', onDeviceReady, false);
    //Hide StatusBar
    //StatusBar.hide();
    //StatusBar.styleDefault();
    //Initialize Adbmob
    initAds();
    // display a banner at startup
    admob.createBannerView();
    // request an interstitial
    //admob.requestInterstitialAd();
}

document.addEventListener("deviceready", onDeviceReady, false);
